Package com.logicaldoc.core

# Interface ResultSetWalker

public interface ResultSetWalker
A walker that operates over a `ResultSet` bound to the current JDBC connection

Since:
  9.0.1
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`void`
`walk(ResultSet rows)`
Implement in this method your iteration logic

## Method Details

### walk

void walk(ResultSet rows) throws SQLException
Implement in this method your iteration logic

Parameters:
  `rows` - The `ResultSet` ready to be iterated
Throws:
  `SQLException` - Error in the database